matrix:
  platform:
  - debian10
  - ubuntu2004
  bazel:
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@xacro//:xacro'
bcr_test_module:
  module_path: bazel/integration_test
  matrix:
    platform:
    - debian10
    - ubuntu2004
    bazel:
    - 8.x
    - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //...
      test_targets:
      - //...
